Security Enhanced Linux Reference Policy

# Layer: services

## Module: tpm2

Interfaces

### Description:

Trusted Platform Module 2.0

### Interfaces:

tpm2_dbus_chat_abrmd( domain )

##### Summary

Send and receive messages from tpm2-abrmd over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tpm2_domtrans( domain )

##### Summary

Execute tpm2_* processes in the tpm2 domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

tpm2_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit file descriptors from tpm2.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

tpm2_enabledisable_abrmd( domain )

##### Summary

Allow specified domain to enable/disable tpm2-abrmd unit

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tpm2_exec( domain )

##### Summary

Execute tpm2_* processes in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tpm2_read_pipes( domain )

##### Summary

Allow tpm2 to read unnamed pipes from other process.

##### Description

Allow the tpm to open and read pipes from other domain. This is seen when piping input to one of the tpm2_* processes. For example: sha512sum my_file | tpm2_hmac -k 0x81001000 -g sha256 /dev/stdin

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain of pipe to be read by tpm2_t.

tpm2_run( domain , role )

##### Summary

Execute tpm2_* processes in the tpm2 domain and allow the specified role

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

tpm2_rw_abrmd_pipes( domain )

##### Summary

access tpm2-abrmd fifos

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

tpm2_rw_abrmd_stream_sockets( domain )

##### Summary

Read and write tpm2-abrmd unix stream sockets. This is used by the D-Bus system daemon to communicate over the socketpair fds passed by tpm2-abrmd to clients.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tpm2_startstop_abrmd( domain )

##### Summary

Allow specified domain to start/stop tpm2-abrmd unit

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tpm2_status_abrmd( domain )

##### Summary

Allow specified domain to get status of tpm2-abrmd unit

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

tpm2_use_fds( domain )

##### Summary

Use tpm2 file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return